import baseAssignValue from "./_baseAssignValue.mjs";
import eq from "./eq.mjs";
function assignMergeValue(object, key, value) {
  if (value !== void 0 && !eq(object[key], value) || value === void 0 && !(key in object)) {
    baseAssignValue(object, key, value);
  }
}
export {
  assignMergeValue as default
};
